Bug 186240

Summary: graphics/rawtherapee : update to 4.0.12
Product: Ports & Packages Reporter: Christoph Moench-Tegeder <cmt>
Component: Individual Port(s)Assignee: Matthias Andree <mandree>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Christoph Moench-Tegeder freebsd_committer 2014-01-29 15:00:00 UTC
	After spending way too much time - against better knowledge and without
	success - trying to enable OpenMP support in rawtherapee on 10-RELEASE
	(clang as the main compiler), all I got was an update to the current
	rawtherapee release (4.0.12) - here it is.
	- MASTER_SITE changed, as Google Code does not host tarballs anymore.
	- as with the previous release, rawtherapee again creates new cache
	  and config directories ($HOME/.{cache,config}/RawTherapee4.0.12).
	  As the cache directory can grow quite large (~1.5GB for me while
	  using 4.0.11), and neither the cache nor the config dir (with all
	  the setting) is migrated automatically, a note to the user (UPDATING?)
	  could be in order.

Fix: Same patch via HTTP: http://burggraben.net/hacks/rawtherapee.diff.gz

svn status
M       Makefile
M       distinfo
A       files/patch-rtengine_CMakeLists.txt
M       pkg-plist


svn diff


Regards,
Christoph--fSJCFurzP19AlWOiVNCAODWvM9KfWddxZ7Hux1fq7MB2vQBP
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 341452)
+++ Makefile	(working copy)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	rawtherapee
-PORTVERSION=	4.0.11
-PORTREVISION=	2
+PORTVERSION=	4.0.12
 CATEGORIES=	graphics
-MASTER_SITES=	GOOGLE_CODE
+MASTER_SITES=	http://rawtherapee.com/shared/source/
 
 MAINTAINER=	mandree@FreeBSD.org
 COMMENT=	A powerful RAW image processing application
Index: distinfo
===================================================================
--- distinfo	(revision 341452)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (rawtherapee-4.0.11.tar.xz) = 40401495ea5a693b9649f9b4fb101953cbaf6bc5fe01b81dd2ab30531afe567b
-SIZE (rawtherapee-4.0.11.tar.xz) = 14828520
+SHA256 (rawtherapee-4.0.12.tar.xz) = 6ef923f4a0e39ee487fd50b4e528db3f8ca7e27613284e309b0625cdb86a03d9
+SIZE (rawtherapee-4.0.12.tar.xz) = 15063860
Index: files/patch-rtengine_CMakeLists.txt
===================================================================
--- files/patch-rtengine_CMakeLists.txt	(revision 0)
+++ files/patch-rtengine_CMakeLists.txt	(working copy)
@@ -0,0 +1,8 @@
+--- rtengine/CMakeLists.txt.orig	2014-01-28 22:15:25.000000000 +0100
++++ rtengine/CMakeLists.txt	2014-01-28 22:17:21.000000000 +0100
+@@ -38,4 +38,4 @@
+     ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${LCMS_LIBRARIES} ${EXPAT_LIBRARIES} ${FFTW3F_LIBRARIES} ${IPTCDATA_LIBRARIES}
+     ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${TIFF_LIBRARIES} ${ZLIB_LIBRARIES})
+ 
+-install (FILES ${CAMCONSTSFILE} DESTINATION "${BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
++install (FILES ${CAMCONSTSFILE} DESTINATION "${DATADIR}" PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 341452)
+++ pkg-plist	(working copy)
@@ -11,6 +11,7 @@
 share/icons/hicolor/256x256/apps/rawtherapee.png
 share/icons/hicolor/32x32/apps/rawtherapee.png
 share/icons/hicolor/48x48/apps/rawtherapee.png
+%%DATADIR%%/camconst.json
 %%DATADIR%%/dcpprofiles/Canon EOS 20D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 400D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 40D.dcp
@@ -92,15 +93,26 @@
 %%DATADIR%%/iccprofiles/output/RT_sRGB.icm
 %%DATADIR%%/iccprofiles/output/RT_sRGB_g10.icm
 %%DATADIR%%/iccprofiles/output/RT_sRGB_gBT709.icm
+%%DATADIR%%/images/Chanmixer-B.png
 %%DATADIR%%/images/Chanmixer-BB.png
 %%DATADIR%%/images/Chanmixer-BG.png
 %%DATADIR%%/images/Chanmixer-BR.png
+%%DATADIR%%/images/Chanmixer-C.png
+%%DATADIR%%/images/Chanmixer-G.png
 %%DATADIR%%/images/Chanmixer-GB.png
 %%DATADIR%%/images/Chanmixer-GG.png
 %%DATADIR%%/images/Chanmixer-GR.png
+%%DATADIR%%/images/Chanmixer-M.png
+%%DATADIR%%/images/Chanmixer-O.png
+%%DATADIR%%/images/Chanmixer-P.png
+%%DATADIR%%/images/Chanmixer-R.png
 %%DATADIR%%/images/Chanmixer-RB.png
 %%DATADIR%%/images/Chanmixer-RG.png
 %%DATADIR%%/images/Chanmixer-RR.png
+%%DATADIR%%/images/Chanmixer-Y.png
+%%DATADIR%%/images/Dark/actions/Chanmixer-Bgamma.png
+%%DATADIR%%/images/Dark/actions/Chanmixer-Ggamma.png
+%%DATADIR%%/images/Dark/actions/Chanmixer-Rgamma.png
 %%DATADIR%%/images/Dark/actions/PanelEnding.png
 %%DATADIR%%/images/Dark/actions/beforeafter.png
 %%DATADIR%%/images/Dark/actions/cglabel0.png
@@ -270,6 +282,8 @@
 %%DATADIR%%/images/Dark/actions/wb-shade.png
 %%DATADIR%%/images/Dark/actions/wb-sun.png
 %%DATADIR%%/images/Dark/actions/wb-tungsten.png
+%%DATADIR%%/images/Dark/actions/wb-water.png
+%%DATADIR%%/images/Dark/actions/zoom-100-identifier.png
 %%DATADIR%%/images/Dark/devices/computer.png
 %%DATADIR%%/images/Dark/devices/drive-harddisk.png
 %%DATADIR%%/images/Dark/devices/drive-optical.png
@@ -286,6 +300,9 @@
 %%DATADIR%%/images/Dark/places/gtk-directory.png
 %%DATADIR%%/images/Dark/places/user-desktop.png
 %%DATADIR%%/images/Dark/places/user-home.png
+%%DATADIR%%/images/Light/actions/Chanmixer-Bgamma.png
+%%DATADIR%%/images/Light/actions/Chanmixer-Ggamma.png
+%%DATADIR%%/images/Light/actions/Chanmixer-Rgamma.png
 %%DATADIR%%/images/Light/actions/PanelEnding.png
 %%DATADIR%%/images/Light/actions/beforeafter.png
 %%DATADIR%%/images/Light/actions/cglabel0.png
@@ -455,6 +472,8 @@
 %%DATADIR%%/images/Light/actions/wb-shade.png
 %%DATADIR%%/images/Light/actions/wb-sun.png
 %%DATADIR%%/images/Light/actions/wb-tungsten.png
+%%DATADIR%%/images/Light/actions/wb-water.png
+%%DATADIR%%/images/Light/actions/zoom-100-identifier.png
 %%DATADIR%%/images/Light/devices/computer.png
 %%DATADIR%%/images/Light/devices/drive-harddisk.png
 %%DATADIR%%/images/Light/devices/drive-optical.png
@@ -625,70 +644,69 @@
 %%DATADIR%%/languages/Turkish
 %%DATADIR%%/languages/default
 %%DATADIR%%/options
-%%DATADIR%%/profiles/BW 1.pp3
-%%DATADIR%%/profiles/BW 2.pp3
-%%DATADIR%%/profiles/BW 3.pp3
-%%DATADIR%%/profiles/BW 4.pp3
-%%DATADIR%%/profiles/Deep Shadows.pp3
+%%DATADIR%%/profiles/BW/BW 1.pp3
+%%DATADIR%%/profiles/BW/BW 2.pp3
+%%DATADIR%%/profiles/BW/BW 3.pp3
+%%DATADIR%%/profiles/BW/BW 4.pp3
 %%DATADIR%%/profiles/Default ISO High.pp3
 %%DATADIR%%/profiles/Default ISO Medium.pp3
 %%DATADIR%%/profiles/Default.pp3
-%%DATADIR%%/profiles/Equilibrated.pp3
-%%DATADIR%%/profiles/Faded Amber 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Amber 1 TM.pp3
-%%DATADIR%%/profiles/Faded Amber 1.pp3
-%%DATADIR%%/profiles/Faded Blue 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Blue 1 TM.pp3
-%%DATADIR%%/profiles/Faded Blue 1.pp3
-%%DATADIR%%/profiles/Faded Blue Pink TM.pp3
-%%DATADIR%%/profiles/Faded Blue Pink.pp3
-%%DATADIR%%/profiles/Faded Chocolate 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Chocolate 2 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Golden 1.pp3
-%%DATADIR%%/profiles/Faded Golden 2.pp3
-%%DATADIR%%/profiles/Faded Green 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Green 1 TM.pp3
-%%DATADIR%%/profiles/Faded Green 1.pp3
-%%DATADIR%%/profiles/Faded Green 2.pp3
-%%DATADIR%%/profiles/Faded Green 3.pp3
-%%DATADIR%%/profiles/Faded Neutral TM.pp3
-%%DATADIR%%/profiles/Faded Neutral.pp3
-%%DATADIR%%/profiles/Faded Purple 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Purple 1 TM.pp3
-%%DATADIR%%/profiles/Faded Purple 1.pp3
-%%DATADIR%%/profiles/Faded Purple 2 TM.pp3
-%%DATADIR%%/profiles/Faded Purple 2.pp3
-%%DATADIR%%/profiles/Faded Teal Orange TM Bright.pp3
-%%DATADIR%%/profiles/Faded Teal Orange TM.pp3
-%%DATADIR%%/profiles/Faded Teal Orange.pp3
-%%DATADIR%%/profiles/Faded Warm 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Warm 1 TM.pp3
-%%DATADIR%%/profiles/Faded Warm 1.pp3
-%%DATADIR%%/profiles/Faded Warm 2.pp3
-%%DATADIR%%/profiles/Faded Warm 3.pp3
-%%DATADIR%%/profiles/High-Key.pp3
-%%DATADIR%%/profiles/Natural 1.pp3
-%%DATADIR%%/profiles/Natural 2.pp3
-%%DATADIR%%/profiles/Neutral.pp3
-%%DATADIR%%/profiles/Pop 1.pp3
-%%DATADIR%%/profiles/Pop 2 L.pp3
-%%DATADIR%%/profiles/Pop 3 Skin.pp3
-%%DATADIR%%/profiles/Pop 4 BW.pp3
-%%DATADIR%%/profiles/Portrait Lejto.pp3
-%%DATADIR%%/profiles/Portrait Smooth.pp3
-%%DATADIR%%/profiles/Punchy 1.pp3
-%%DATADIR%%/profiles/Punchy 2.pp3
-%%DATADIR%%/profiles/Skintones - Natural TM.pp3
-%%DATADIR%%/profiles/Skintones - Natural.pp3
-%%DATADIR%%/profiles/Skintones - Pale TM Bright.pp3
-%%DATADIR%%/profiles/Skintones - Pale TM.pp3
-%%DATADIR%%/profiles/Skintones - Pale.pp3
-%%DATADIR%%/profiles/Skintones - Soft Texture.pp3
-%%DATADIR%%/profiles/Skintones - Strong Texture.pp3
-%%DATADIR%%/profiles/Skintones - Studio TM.pp3
-%%DATADIR%%/profiles/Skintones - Studio.pp3
-%%DATADIR%%/profiles/Skintones - StudioBase 1 TM.pp3
-%%DATADIR%%/profiles/Skintones - StudioBase 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Amber 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Amber 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Amber 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue Pink TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue Pink.pp3
+%%DATADIR%%/profiles/Faded/Faded Chocolate 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Chocolate 2 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Golden 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Golden 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 3.pp3
+%%DATADIR%%/profiles/Faded/Faded Neutral TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Neutral.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 2 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Teal Orange TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Teal Orange TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Teal Orange.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 3.pp3
+%%DATADIR%%/profiles/Generic/Deep Shadows.pp3
+%%DATADIR%%/profiles/Generic/Equilibrated.pp3
+%%DATADIR%%/profiles/Generic/High-Key.pp3
+%%DATADIR%%/profiles/Generic/Natural 1.pp3
+%%DATADIR%%/profiles/Generic/Natural 2.pp3
+%%DATADIR%%/profiles/Generic/Punchy 1.pp3
+%%DATADIR%%/profiles/Generic/Punchy 2.pp3
+%%DATADIR%%/profiles/Pop/Pop 1.pp3
+%%DATADIR%%/profiles/Pop/Pop 2 L.pp3
+%%DATADIR%%/profiles/Pop/Pop 3 Skin.pp3
+%%DATADIR%%/profiles/Pop/Pop 4 BW.pp3
+%%DATADIR%%/profiles/Portrait/Portrait Lejto.pp3
+%%DATADIR%%/profiles/Portrait/Portrait Smooth.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Natural TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Natural.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Pale TM Bright.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Pale TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Pale.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Soft Texture.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Strong Texture.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Studio TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Studio.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - StudioBase 1 TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - StudioBase 1.pp3
 %%DATADIR%%/sounds/BatchComplete.wav
 %%DATADIR%%/sounds/Empty.wav
 %%DATADIR%%/sounds/ProcessComplete.wav
@@ -749,6 +767,12 @@
 @dirrm %%DATADIR%%/themes/gray_textured
 @dirrm %%DATADIR%%/themes
 @dirrm %%DATADIR%%/sounds
+@dirrm %%DATADIR%%/profiles/BW
+@dirrm %%DATADIR%%/profiles/Faded
+@dirrm %%DATADIR%%/profiles/Generic
+@dirrm %%DATADIR%%/profiles/Pop
+@dirrm %%DATADIR%%/profiles/Portrait
+@dirrm %%DATADIR%%/profiles/Skintones
 @dirrm %%DATADIR%%/profiles
 @dirrm %%DATADIR%%/languages
 @dirrm %%DATADIR%%/images/Light/places
Comment 1 Edwin Groothuis freebsd_committer 2014-02-02 14:21:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Matthias Andree freebsd_committer 2014-02-03 21:13:27 UTC
State Changed
From-To: open->analyzed

waiting for test builds to complete
Comment 3 Matthias Andree freebsd_committer 2014-02-05 01:55:33 UTC
State Changed
From-To: analyzed->closed

Committed with changes as described in the dfilter message that is 
slated to arrive in this PR.
Comment 4 Matthias Andree freebsd_committer 2014-02-05 02:00:39 UTC
Christoph,

we're now building the new upgraded 4.0.12 port with GCC 4.8, please
test if you now have OpenMP again on 10-RELEASE; at least the compile
and link now succeed for me and rawtherapee successfully starts and
decodes a Sony ARW 2.1 file for me; and we're rid of dumbing down the
optimizer due to 10.0 clang bugs, as we used to do on one of the files.

It took me a while and more than half a dozen test runs to beat cmake
into using the proper options, and given the right options, to be able
to compile this port with GCC.

The crucial points were:

- a build dependency on libc++
- compiler flags -nostdinc++ -isystem $LOCALBASE/include/c++/v1
- linker flags -L$LOCALBASE/lib/c++

If there are any issues remaining, feel free to follow up to this PR so
I can reopen it and fix the issues.

Cheers
Matthias
Comment 5 Matthias Andree 2014-02-05 02:01:52 UTC
Oh, and I have added a pkg-message about the config and cache issue you
mentioned.

Thanks a lot for your submission!
Comment 6 dfilter service freebsd_committer 2014-02-05 02:26:59 UTC
Author: mandree
Date: Wed Feb  5 01:54:19 2014
New Revision: 342622
URL: http://svnweb.freebsd.org/changeset/ports/342622
QAT: https://qat.redports.org/buildarchive/r342622/

Log:
  Upgrade to RawTherapee 4.0.12 [1], and use GCC again on FreeBSD 10+ [2].
  
  Upstream changes are described at:
  <http://rawtherapee.com/blog/rawtherapee-4.0.12-released>
  
  [2] brings back OpenMP support and fully optimized sources, but it does
  require GCC 4.8 to avoid internal compiler errors in older GCC releases,
  and adds a build dependency on the libc++ port to bring in the required
  compile-time namespace transformations to have Rawtherapee use libc++
  (as the other C++-based requisite ports do).
  
  Thanks to:	Baptiste Daroussin (bapt@) for help with [2]
  PR:		ports/186240 [1]
  Submitted by:	Christoph Moench-Tegeder [1]

Added:
  head/graphics/rawtherapee/files/patch-rtengine_CMakeLists.txt   (contents, props changed)
  head/graphics/rawtherapee/pkg-message   (contents, props changed)
Modified:
  head/graphics/rawtherapee/Makefile
  head/graphics/rawtherapee/distinfo
  head/graphics/rawtherapee/files/patch-rtengine_safegtk.cc
  head/graphics/rawtherapee/pkg-plist

Modified: head/graphics/rawtherapee/Makefile
==============================================================================
--- head/graphics/rawtherapee/Makefile	Wed Feb  5 01:49:52 2014	(r342621)
+++ head/graphics/rawtherapee/Makefile	Wed Feb  5 01:54:19 2014	(r342622)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	rawtherapee
-PORTVERSION=	4.0.11
-PORTREVISION=	2
+PORTVERSION=	4.0.12
 CATEGORIES=	graphics
-MASTER_SITES=	GOOGLE_CODE
+MASTER_SITES=	http://rawtherapee.com/shared/source/
 
 MAINTAINER=	mandree@FreeBSD.org
 COMMENT=	A powerful RAW image processing application
@@ -23,7 +22,8 @@ LIB_DEPENDS=	libgtkmm-2.4.so:${PORTSDIR}
 		libfftw3f.so:${PORTSDIR}/math/fftw3-float \
 		libcanberra-gtk3.so:${PORTSDIR}/audio/libcanberra-gtk3
 
-USES=		cmake:outsource pkgconfig compiler:features desktop-file-utils
+USES=		cmake:outsource pkgconfig compiler:features desktop-file-utils dos2unix
+DOS2UNIX_REGEX=	.*\.(cc|h)
 USE_XZ=		yes
 USE_GNOME=	gtk20 glib20
 USE_LDCONFIG=	yes
@@ -31,14 +31,14 @@ CFLAGS+=	-I${LOCALBASE}/include -fPIC ${
 CXXFLAGS+=	-I${LOCALBASE}/include -fPIC ${PTHREAD_CFLAGS}
 LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 CMAKE_ENV=	CFLAGS="${CFLAGS}" \
-		LDFLAGS="${LDFLAGS}"
+		LDFLAGS="${LDFLAGS:C|-Wl,-rpath=${_GCC_RUNTIME}||:C|-L${_GCC_RUNTIME}||}"
 CMAKE_ARGS+=	-DDOCDIR="${DOCSDIR}" \
 		-DCREDITSDIR="${DOCSDIR}" \
 		-DLICENCEDIR="${DOCSDIR}" \
 		-DDESKTOPDIR="${DESKTOPDIR}" \
 		-DDATADIR="${DATADIR}" \
-		-DCMAKE_C_FLAGS="${CFLAGS}" \
-		-DCMAKE_CXX_FLAGS="${CXXFLAGS}"
+		-DCMAKE_C_FLAGS="${CFLAGS:C|-Wl,-rpath=${_GCC_RUNTIME}||:C|-L${_GCC_RUNTIME}||}" \
+		-DCMAKE_CXX_FLAGS="${CXXFLAGS:C|-Wl,-rpath=${_GCC_RUNTIME}||:C|-L${_GCC_RUNTIME}||}"
 SUB_FILES=	rawtherapee
 SUB_LIST=	RTDIR="${RTDIR}"
 INSTALLS_ICONS=	yes
@@ -48,50 +48,31 @@ RTDIR=		${PREFIX}/libdata/${PORTNAME}
 OPTIONS_DEFINE=		OPTIMIZED_CFLAGS OPENMP
 OPTIONS_DEFAULT=	OPTIMIZED_CFLAGS OPENMP
 OPENMP_DESC=		Enable multicore processing using OpenMP
+OPTIMIZED_CFLAGS_DESC=	Use extra compiler optimizations (requires SSE support)
 
-.include <bsd.port.options.mk>
-
-.if ${OSVERSION} < 1000024
-USE_GCC=	yes
-.endif
+#.include <bsd.port.options.mk>
 
 .include <bsd.port.pre.mk>
 
-post-patch:
-	@${REINPLACE_CMD} -e 's#<auto_ptr.h>#<memory>#g' \
-		${WRKSRC}/rtgui/darkframe.h ${WRKSRC}/rtgui/flatfield.h \
-		${WRKSRC}/rtgui/icmpanel.h
-	@${REINPLACE_CMD} -e 's#DESTINATION "$${CMAKE_INSTALL_PREFIX}/share/man/man1"#DESTINATION "${MANPREFIX}/man/man1/"#' \
-		${WRKSRC}/CMakeLists.txt
-
-.if ${COMPILER_TYPE} != gcc
-pre-build:
-	# must compile ipsharpen.cc with lower optimization else the compilation time is excessive
-	# this is clang-specific and does not affect GCC.
-	${REINPLACE_CMD} -e 's,-o CMakeFiles/rtengine.dir/ipsharpen.cc.o,-O1 &,' \
-		${CONFIGURE_WRKSRC}/rtengine/CMakeFiles/rtengine.dir/build.make
-.if ${PORT_OPTIONS:MOPENMP}
-	@${ECHO_CMD} "WARNING: ignoring OpenMP option, not supported on clang." ; sleep 5
-.endif
-.endif
-
-.if ${COMPILER_TYPE} == clang
-CFLAGS+=	-Qunused-arguments
-CXXFLAGS+=	-Qunused-arguments
+# -------------------------------------------------------------------
+# USE_GCC must be late so the compiler feature checks work to detect
+# that the base C++ standard library switched to libc++:
+# We also must pin 4.8+ because 4.6 and 4.7 segfault on 10.0-RELEASE amd64
+# wwhen compiling improcfun.cc:
+USE_GCC=	4.8+
+
+.if ${COMPILER_FEATURES:Mlibc++}
+LDFLAGS+=	-L/usr/local/lib/c++
+CXXFLAGS+=	-nostdinc++ -isystem /usr/local/include/c++/v1
+CFLAGS+=	-isystem /usr/local/include/c++/v1
+BUILD_DEPENDS+=	${LOCALBASE}/lib/c++/libstdc++.so:${PORTSDIR}/devel/libc++
 .endif
 
-# paranoia: run rawtherapee --help to be sure it finds all its
-# shared libraries (this hinges on proper RPATH setting and propagation)
-post-install:
-	${SETENV} HOME=/dev/null ${STAGEDIR}${PREFIX}/bin/rawtherapee --help 2>&1 \
-	| ${EGREP} -q "RawTherapee, version ${PKGVERSION:C/_.*//:C/,.*//}"
-
-
 .if ${ARCH} == "amd64" || ${ARCH} == "i386"
 .if ${PORT_OPTIONS:MOPTIMIZED_CFLAGS}
 CFLAGS+=	-O3 -ffast-math -fexpensive-optimizations \
 		-funroll-loops -msse
-CXXFLAGS+=	-O3 -ffast-math -fexpensive-optimizations \
+CXXFLAGS+=	-O3 -ffast-math \
 		-funroll-loops -msse
 .endif
 .endif
@@ -103,4 +84,20 @@ _OpenMP_args=	-DOPTION_OMP:BOOL=ON
 
 CMAKE_ARGS+=	${_OpenMP_args}
 
+# -------------------------------------------------------------------
+
+post-patch:
+	@${REINPLACE_CMD} -e 's#<auto_ptr.h>#<memory>#g' \
+		${WRKSRC}/rtgui/darkframe.h \
+		${WRKSRC}/rtgui/flatfield.h \
+		${WRKSRC}/rtgui/icmpanel.h
+	@${REINPLACE_CMD} -e 's#DESTINATION "$${CMAKE_INSTALL_PREFIX}/share/man/man1"#DESTINATION "${MANPREFIX}/man/man1/"#' \
+		${WRKSRC}/CMakeLists.txt
+
+# paranoia: run rawtherapee --help to be sure it finds all its
+# shared libraries (this hinges on proper RPATH setting and propagation)
+post-install:
+	${SETENV} HOME=/dev/null ${STAGEDIR}${PREFIX}/bin/rawtherapee --help 2>&1 \
+	| ${EGREP} -q "RawTherapee, version ${PKGVERSION:C/_.*//:C/,.*//}"
+
 .include <bsd.port.post.mk>

Modified: head/graphics/rawtherapee/distinfo
==============================================================================
--- head/graphics/rawtherapee/distinfo	Wed Feb  5 01:49:52 2014	(r342621)
+++ head/graphics/rawtherapee/distinfo	Wed Feb  5 01:54:19 2014	(r342622)
@@ -1,2 +1,2 @@
-SHA256 (rawtherapee-4.0.11.tar.xz) = 40401495ea5a693b9649f9b4fb101953cbaf6bc5fe01b81dd2ab30531afe567b
-SIZE (rawtherapee-4.0.11.tar.xz) = 14828520
+SHA256 (rawtherapee-4.0.12.tar.xz) = 6ef923f4a0e39ee487fd50b4e528db3f8ca7e27613284e309b0625cdb86a03d9
+SIZE (rawtherapee-4.0.12.tar.xz) = 15063860

Added: head/graphics/rawtherapee/files/patch-rtengine_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/rawtherapee/files/patch-rtengine_CMakeLists.txt	Wed Feb  5 01:54:19 2014	(r342622)
@@ -0,0 +1,8 @@
+--- rtengine/CMakeLists.txt.orig	2014-01-28 22:15:25.000000000 +0100
++++ rtengine/CMakeLists.txt	2014-01-28 22:17:21.000000000 +0100
+@@ -38,4 +38,4 @@
+     ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${LCMS_LIBRARIES} ${EXPAT_LIBRARIES} ${FFTW3F_LIBRARIES} ${IPTCDATA_LIBRARIES}
+     ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${TIFF_LIBRARIES} ${ZLIB_LIBRARIES})
+ 
+-install (FILES ${CAMCONSTSFILE} DESTINATION "${BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
++install (FILES ${CAMCONSTSFILE} DESTINATION "${DATADIR}" PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

Modified: head/graphics/rawtherapee/files/patch-rtengine_safegtk.cc
==============================================================================
--- head/graphics/rawtherapee/files/patch-rtengine_safegtk.cc	Wed Feb  5 01:49:52 2014	(r342621)
+++ head/graphics/rawtherapee/files/patch-rtengine_safegtk.cc	Wed Feb  5 01:54:19 2014	(r342622)
@@ -1,47 +1,47 @@
 --- ./rtengine/safegtk.cc.orig	2012-01-31 05:00:05.000000000 +0400
 +++ ./rtengine/safegtk.cc	2012-03-29 19:31:25.000000000 +0400
 @@ -98,7 +98,7 @@
- 	Glib::RefPtr<Gio::FileEnumerator> dirList;
- 	if (dir) {
- 		SAFE_ENUMERATOR_CODE_START
--				flist.push_back (FileMTimeInfo (removeExtension(info->get_name()), info->modification_time()));
+ 	Glib::RefPtr<Gio::FileEnumerator> dirList;
+ 	if (dir) {
+ 		SAFE_ENUMERATOR_CODE_START
+-				flist.push_back (FileMTimeInfo (removeExtension(info->get_name()), info->modification_time()));
 +				flist.push_back (FileMTimeInfo (removeExtension(info->get_display_name()), info->modification_time()));
- 		SAFE_ENUMERATOR_CODE_END;
- 	}
- }
+ 		SAFE_ENUMERATOR_CODE_END;
+ 	}
+ }
 @@ -113,7 +113,7 @@
- 	if (dir) {
- 		if (!extensions) {
- 			SAFE_ENUMERATOR_CODE_START
--				names.push_back (Glib::build_filename (directory, info->get_name()));
+ 	if (dir) {
+ 		if (!extensions) {
+ 			SAFE_ENUMERATOR_CODE_START
+-				names.push_back (Glib::build_filename (directory, info->get_name()));
 +				names.push_back (Glib::build_filename (directory, info->get_display_name()));
- 			SAFE_ENUMERATOR_CODE_END;
- 		}
- 		else {
+ 			SAFE_ENUMERATOR_CODE_END;
+ 		}
+ 		else {
 @@ -124,7 +124,7 @@
- 
- 			SAFE_ENUMERATOR_CODE_START
- 			// convert the current filename to lowercase in a new ustring
--			Glib::ustring fname = Glib::ustring(info->get_name()).lowercase();
+ 
+ 			SAFE_ENUMERATOR_CODE_START
+ 			// convert the current filename to lowercase in a new ustring
+-			Glib::ustring fname = Glib::ustring(info->get_name()).lowercase();
 +			Glib::ustring fname = Glib::ustring(info->get_display_name()).lowercase();
- 
- 			int pos = fname.find_last_of('.');
- 			if (pos > -1 && pos < (fname.length()-1)) {
+ 
+ 			int pos = fname.find_last_of('.');
+ 			if (pos > -1 && pos < (fname.length()-1)) {
 @@ -135,7 +135,7 @@
- 				// look out if it has one of the retained extensions
- 				for (unsigned int i=0; i<lcExtensions.size(); i++) {
- 					if (lcFileExt == lcExtensions[i]) {
--						names.push_back (Glib::build_filename (directory, info->get_name()));
+ 				// look out if it has one of the retained extensions
+ 				for (unsigned int i=0; i<lcExtensions.size(); i++) {
+ 					if (lcFileExt == lcExtensions[i]) {
+-						names.push_back (Glib::build_filename (directory, info->get_name()));
 +						names.push_back (Glib::build_filename (directory, info->get_display_name()));
- 						break;
- 					}
- 				}
+ 						break;
+ 					}
+ 				}
 @@ -156,7 +156,7 @@
- 
- 				SAFE_ENUMERATOR_CODE_START
- 						if (info->get_file_type() == Gio::FILE_TYPE_DIRECTORY && (!info->is_hidden() || add_hidden))
--								subDirs.push_back (info->get_name());
+ 
+ 				SAFE_ENUMERATOR_CODE_START
+ 						if (info->get_file_type() == Gio::FILE_TYPE_DIRECTORY && (!info->is_hidden() || add_hidden))
+-								subDirs.push_back (info->get_name());
 +								subDirs.push_back (info->get_display_name());
- 				SAFE_ENUMERATOR_CODE_END;
- 	}
- }
+ 				SAFE_ENUMERATOR_CODE_END;
+ 	}
+ }

Added: head/graphics/rawtherapee/pkg-message
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/rawtherapee/pkg-message	Wed Feb  5 01:54:19 2014	(r342622)
@@ -0,0 +1,13 @@
+
+======================================================================
+DISK SPACE WARNING:
+
+Note that RawTherapee uses version-dependent cache and configuration
+directories.  Please be advised that cache directories can grow large,
+so be sure to check all users' $HOME/.cache/RawTherapee* and have them
+remove older cache directories.
+
+Also, after configurations have been moved to the new version's
+directory, older $HOME/.config/RawTherapee* directories may be removed.
+======================================================================
+

Modified: head/graphics/rawtherapee/pkg-plist
==============================================================================
--- head/graphics/rawtherapee/pkg-plist	Wed Feb  5 01:49:52 2014	(r342621)
+++ head/graphics/rawtherapee/pkg-plist	Wed Feb  5 01:54:19 2014	(r342622)
@@ -11,6 +11,7 @@ share/icons/hicolor/24x24/apps/rawtherap
 share/icons/hicolor/256x256/apps/rawtherapee.png
 share/icons/hicolor/32x32/apps/rawtherapee.png
 share/icons/hicolor/48x48/apps/rawtherapee.png
+%%DATADIR%%/camconst.json
 %%DATADIR%%/dcpprofiles/Canon EOS 20D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 400D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 40D.dcp
@@ -26,6 +27,8 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/dcpprofiles/Canon EOS-1D Mark III.dcp
 %%DATADIR%%/dcpprofiles/Canon PowerShot G10.dcp
 %%DATADIR%%/dcpprofiles/Canon PowerShot G12.dcp
+%%DATADIR%%/dcpprofiles/Canon PowerShot S110.dcp
+%%DATADIR%%/dcpprofiles/Fujifilm FinePix S9500.dcp
 %%DATADIR%%/dcpprofiles/Leaf Aptus 75.dcp
 %%DATADIR%%/dcpprofiles/Nikon D200.dcp
 %%DATADIR%%/dcpprofiles/Nikon D300.dcp
@@ -51,6 +54,9 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/dcpprofiles/Panasonic DMC-G5.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-GH1.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-GH2.dcp
+%%DATADIR%%/dcpprofiles/Pentax K-5 II.dcp
+%%DATADIR%%/dcpprofiles/Pentax K-5.dcp
+%%DATADIR%%/dcpprofiles/Pentax K-r.dcp
 %%DATADIR%%/dcpprofiles/Pentax K10D.dcp
 %%DATADIR%%/dcpprofiles/Pentax K200D.dcp
 %%DATADIR%%/dcpprofiles/Sony DSLR-A700.dcp
@@ -92,16 +98,49 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/iccprofiles/output/RT_sRGB.icm
 %%DATADIR%%/iccprofiles/output/RT_sRGB_g10.icm
 %%DATADIR%%/iccprofiles/output/RT_sRGB_gBT709.icm
+%%DATADIR%%/images/beforeafter.png
+%%DATADIR%%/images/cglabel0.png
+%%DATADIR%%/images/cglabel1.png
+%%DATADIR%%/images/cglabel2.png
+%%DATADIR%%/images/cglabel3.png
+%%DATADIR%%/images/cglabel4.png
+%%DATADIR%%/images/cglabel5.png
+%%DATADIR%%/images/Chanmixer-B.png
 %%DATADIR%%/images/Chanmixer-BB.png
 %%DATADIR%%/images/Chanmixer-BG.png
 %%DATADIR%%/images/Chanmixer-BR.png
+%%DATADIR%%/images/Chanmixer-C.png
+%%DATADIR%%/images/Chanmixer-G.png
 %%DATADIR%%/images/Chanmixer-GB.png
 %%DATADIR%%/images/Chanmixer-GG.png
 %%DATADIR%%/images/Chanmixer-GR.png
+%%DATADIR%%/images/Chanmixer-M.png
+%%DATADIR%%/images/Chanmixer-O.png
+%%DATADIR%%/images/Chanmixer-P.png
+%%DATADIR%%/images/Chanmixer-R.png
 %%DATADIR%%/images/Chanmixer-RB.png
 %%DATADIR%%/images/Chanmixer-RG.png
 %%DATADIR%%/images/Chanmixer-RR.png
-%%DATADIR%%/images/Dark/actions/PanelEnding.png
+%%DATADIR%%/images/Chanmixer-Y.png
+%%DATADIR%%/images/clabel0.png
+%%DATADIR%%/images/clabel1.png
+%%DATADIR%%/images/clabel2.png
+%%DATADIR%%/images/clabel3.png
+%%DATADIR%%/images/clabel4.png
+%%DATADIR%%/images/clabel5.png
+%%DATADIR%%/images/closedhand.png
+%%DATADIR%%/images/colour.png
+%%DATADIR%%/images/crop-auto.png
+%%DATADIR%%/images/crop.png
+%%DATADIR%%/images/cross.png
+%%DATADIR%%/images/crossed-arrows-out.png
+%%DATADIR%%/images/curveType-controlPoints.png
+%%DATADIR%%/images/curveType-flatLinear.png
+%%DATADIR%%/images/curveType-linear.png
+%%DATADIR%%/images/curveType-NURBS.png
+%%DATADIR%%/images/curveType-parametric.png
+%%DATADIR%%/images/curveType-spline.png
+%%DATADIR%%/images/curveType-unchanged.png
 %%DATADIR%%/images/Dark/actions/beforeafter.png
 %%DATADIR%%/images/Dark/actions/cglabel0.png
 %%DATADIR%%/images/Dark/actions/cglabel1.png
@@ -109,6 +148,9 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/cglabel3.png
 %%DATADIR%%/images/Dark/actions/cglabel4.png
 %%DATADIR%%/images/Dark/actions/cglabel5.png
+%%DATADIR%%/images/Dark/actions/Chanmixer-Bgamma.png
+%%DATADIR%%/images/Dark/actions/Chanmixer-Ggamma.png
+%%DATADIR%%/images/Dark/actions/Chanmixer-Rgamma.png
 %%DATADIR%%/images/Dark/actions/clabel0.png
 %%DATADIR%%/images/Dark/actions/clabel1.png
 %%DATADIR%%/images/Dark/actions/clabel2.png
@@ -121,10 +163,10 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/crop.png
 %%DATADIR%%/images/Dark/actions/crossed-arrows-in.png
 %%DATADIR%%/images/Dark/actions/crossed-arrows-out.png
-%%DATADIR%%/images/Dark/actions/curveType-NURBS.png
 %%DATADIR%%/images/Dark/actions/curveType-controlPoints.png
 %%DATADIR%%/images/Dark/actions/curveType-flatLinear.png
 %%DATADIR%%/images/Dark/actions/curveType-linear.png
+%%DATADIR%%/images/Dark/actions/curveType-NURBS.png
 %%DATADIR%%/images/Dark/actions/curveType-parametric.png
 %%DATADIR%%/images/Dark/actions/curveType-spline.png
 %%DATADIR%%/images/Dark/actions/detail.png
@@ -210,6 +252,7 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/panel-to-left.png
 %%DATADIR%%/images/Dark/actions/panel-to-right.png
 %%DATADIR%%/images/Dark/actions/panel-to-top.png
+%%DATADIR%%/images/Dark/actions/PanelEnding.png
 %%DATADIR%%/images/Dark/actions/popuparrow.png
 %%DATADIR%%/images/Dark/actions/previewmodeB-off.png
 %%DATADIR%%/images/Dark/actions/previewmodeB-on.png
@@ -270,6 +313,8 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/wb-shade.png
 %%DATADIR%%/images/Dark/actions/wb-sun.png
 %%DATADIR%%/images/Dark/actions/wb-tungsten.png
+%%DATADIR%%/images/Dark/actions/wb-water.png
+%%DATADIR%%/images/Dark/actions/zoom-100-identifier.png
 %%DATADIR%%/images/Dark/devices/computer.png
 %%DATADIR%%/images/Dark/devices/drive-harddisk.png
 %%DATADIR%%/images/Dark/devices/drive-optical.png
@@ -286,7 +331,48 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/places/gtk-directory.png
 %%DATADIR%%/images/Dark/places/user-desktop.png
 %%DATADIR%%/images/Dark/places/user-home.png
-%%DATADIR%%/images/Light/actions/PanelEnding.png
+%%DATADIR%%/images/default-settings-ltr.png
+%%DATADIR%%/images/default-settings-rtl.png
+%%DATADIR%%/images/detail.png
+%%DATADIR%%/images/distortion-auto.png
+%%DATADIR%%/images/distortion.png
+%%DATADIR%%/images/edited-small.png
+%%DATADIR%%/images/edited.png
+%%DATADIR%%/images/editedg-small.png
+%%DATADIR%%/images/editednot-small.png
+%%DATADIR%%/images/editednotg-small.png
+%%DATADIR%%/images/empty.png
+%%DATADIR%%/images/exposure.png
+%%DATADIR%%/images/filter.png
+%%DATADIR%%/images/filterclear.png
+%%DATADIR%%/images/folder.png
+%%DATADIR%%/images/fullscreen-exit.png
+%%DATADIR%%/images/fullscreen.png
+%%DATADIR%%/images/grayrated.png
+%%DATADIR%%/images/gtk-add.png
+%%DATADIR%%/images/gtk-apply.png
+%%DATADIR%%/images/gtk-close-small.png
+%%DATADIR%%/images/gtk-close.png
+%%DATADIR%%/images/gtk-color-picker-small.png
+%%DATADIR%%/images/gtk-color-picker.png
+%%DATADIR%%/images/gtk-open.png
+%%DATADIR%%/images/gtk-save-large.png
+%%DATADIR%%/images/gtk-undo-ltr.png
+%%DATADIR%%/images/gtk-undo-rtl.png
+%%DATADIR%%/images/gtk-undoall-ltr.png
+%%DATADIR%%/images/gtk-undoall-rtl.png
+%%DATADIR%%/images/gtk-zoom-100.png
+%%DATADIR%%/images/gtk-zoom-fit.png
+%%DATADIR%%/images/gtk-zoom-in.png
+%%DATADIR%%/images/gtk-zoom-out.png
+%%DATADIR%%/images/histBar.png
+%%DATADIR%%/images/histBlue.png
+%%DATADIR%%/images/histGreen.png
+%%DATADIR%%/images/histRaw.png
+%%DATADIR%%/images/histRed.png
+%%DATADIR%%/images/histValue.png
+%%DATADIR%%/images/image-editor.png
+%%DATADIR%%/images/info.png
 %%DATADIR%%/images/Light/actions/beforeafter.png
 %%DATADIR%%/images/Light/actions/cglabel0.png
 %%DATADIR%%/images/Light/actions/cglabel1.png
@@ -294,6 +380,9 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/cglabel3.png
 %%DATADIR%%/images/Light/actions/cglabel4.png
 %%DATADIR%%/images/Light/actions/cglabel5.png
+%%DATADIR%%/images/Light/actions/Chanmixer-Bgamma.png
+%%DATADIR%%/images/Light/actions/Chanmixer-Ggamma.png
+%%DATADIR%%/images/Light/actions/Chanmixer-Rgamma.png
 %%DATADIR%%/images/Light/actions/clabel0.png
 %%DATADIR%%/images/Light/actions/clabel1.png
 %%DATADIR%%/images/Light/actions/clabel2.png
@@ -306,10 +395,10 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/crop.png
 %%DATADIR%%/images/Light/actions/crossed-arrows-in.png
 %%DATADIR%%/images/Light/actions/crossed-arrows-out.png
-%%DATADIR%%/images/Light/actions/curveType-NURBS.png
 %%DATADIR%%/images/Light/actions/curveType-controlPoints.png
 %%DATADIR%%/images/Light/actions/curveType-flatLinear.png
 %%DATADIR%%/images/Light/actions/curveType-linear.png
+%%DATADIR%%/images/Light/actions/curveType-NURBS.png
 %%DATADIR%%/images/Light/actions/curveType-parametric.png
 %%DATADIR%%/images/Light/actions/curveType-spline.png
 %%DATADIR%%/images/Light/actions/detail.png
@@ -395,6 +484,7 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/panel-to-left.png
 %%DATADIR%%/images/Light/actions/panel-to-right.png
 %%DATADIR%%/images/Light/actions/panel-to-top.png
+%%DATADIR%%/images/Light/actions/PanelEnding.png
 %%DATADIR%%/images/Light/actions/popuparrow.png
 %%DATADIR%%/images/Light/actions/previewmodeB-off.png
 %%DATADIR%%/images/Light/actions/previewmodeB-on.png
@@ -455,6 +545,8 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/wb-shade.png
 %%DATADIR%%/images/Light/actions/wb-sun.png
 %%DATADIR%%/images/Light/actions/wb-tungsten.png
+%%DATADIR%%/images/Light/actions/wb-water.png
+%%DATADIR%%/images/Light/actions/zoom-100-identifier.png
 %%DATADIR%%/images/Light/devices/computer.png
 %%DATADIR%%/images/Light/devices/drive-harddisk.png
 %%DATADIR%%/images/Light/devices/drive-optical.png
@@ -471,75 +563,6 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/places/gtk-directory.png
 %%DATADIR%%/images/Light/places/user-desktop.png
 %%DATADIR%%/images/Light/places/user-home.png
-%%DATADIR%%/images/PanelEnding.png
-%%DATADIR%%/images/beforeafter.png
-%%DATADIR%%/images/cglabel0.png
-%%DATADIR%%/images/cglabel1.png
-%%DATADIR%%/images/cglabel2.png
-%%DATADIR%%/images/cglabel3.png
-%%DATADIR%%/images/cglabel4.png
-%%DATADIR%%/images/cglabel5.png
-%%DATADIR%%/images/clabel0.png
-%%DATADIR%%/images/clabel1.png
-%%DATADIR%%/images/clabel2.png
-%%DATADIR%%/images/clabel3.png
-%%DATADIR%%/images/clabel4.png
-%%DATADIR%%/images/clabel5.png
-%%DATADIR%%/images/closedhand.png
-%%DATADIR%%/images/colour.png
-%%DATADIR%%/images/crop-auto.png
-%%DATADIR%%/images/crop.png
-%%DATADIR%%/images/cross.png
-%%DATADIR%%/images/crossed-arrows-out.png
-%%DATADIR%%/images/curveType-NURBS.png
-%%DATADIR%%/images/curveType-controlPoints.png
-%%DATADIR%%/images/curveType-flatLinear.png
-%%DATADIR%%/images/curveType-linear.png
-%%DATADIR%%/images/curveType-parametric.png
-%%DATADIR%%/images/curveType-spline.png
-%%DATADIR%%/images/curveType-unchanged.png
-%%DATADIR%%/images/default-settings-ltr.png
-%%DATADIR%%/images/default-settings-rtl.png
-%%DATADIR%%/images/detail.png
-%%DATADIR%%/images/distortion-auto.png
-%%DATADIR%%/images/distortion.png
-%%DATADIR%%/images/edited-small.png
-%%DATADIR%%/images/edited.png
-%%DATADIR%%/images/editedg-small.png
-%%DATADIR%%/images/editednot-small.png
-%%DATADIR%%/images/editednotg-small.png
-%%DATADIR%%/images/empty.png
-%%DATADIR%%/images/exposure.png
-%%DATADIR%%/images/filter.png
-%%DATADIR%%/images/filterclear.png
-%%DATADIR%%/images/folder.png
-%%DATADIR%%/images/fullscreen-exit.png
-%%DATADIR%%/images/fullscreen.png
-%%DATADIR%%/images/grayrated.png
-%%DATADIR%%/images/gtk-add.png
-%%DATADIR%%/images/gtk-apply.png
-%%DATADIR%%/images/gtk-close-small.png
-%%DATADIR%%/images/gtk-close.png
-%%DATADIR%%/images/gtk-color-picker-small.png
-%%DATADIR%%/images/gtk-color-picker.png
-%%DATADIR%%/images/gtk-open.png
-%%DATADIR%%/images/gtk-save-large.png
-%%DATADIR%%/images/gtk-undo-ltr.png
-%%DATADIR%%/images/gtk-undo-rtl.png
-%%DATADIR%%/images/gtk-undoall-ltr.png
-%%DATADIR%%/images/gtk-undoall-rtl.png
-%%DATADIR%%/images/gtk-zoom-100.png
-%%DATADIR%%/images/gtk-zoom-fit.png
-%%DATADIR%%/images/gtk-zoom-in.png
-%%DATADIR%%/images/gtk-zoom-out.png
-%%DATADIR%%/images/histBar.png
-%%DATADIR%%/images/histBlue.png
-%%DATADIR%%/images/histGreen.png
-%%DATADIR%%/images/histRaw.png
-%%DATADIR%%/images/histRed.png
-%%DATADIR%%/images/histValue.png
-%%DATADIR%%/images/image-editor.png
-%%DATADIR%%/images/info.png
 %%DATADIR%%/images/list-add-small.png
 %%DATADIR%%/images/list-remove-red-small.png
 %%DATADIR%%/images/list-remove.png
@@ -556,6 +579,7 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/panel-to-left.png
 %%DATADIR%%/images/panel-to-right.png
 %%DATADIR%%/images/panel-to-top.png
+%%DATADIR%%/images/PanelEnding.png
 %%DATADIR%%/images/popuparrow.png
 %%DATADIR%%/images/processing-pause.png
 %%DATADIR%%/images/processing-play.png
@@ -597,6 +621,7 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/languages/Chinese (Traditional)
 %%DATADIR%%/languages/Czech
 %%DATADIR%%/languages/Dansk
+%%DATADIR%%/languages/default
 %%DATADIR%%/languages/Deutsch
 %%DATADIR%%/languages/English (UK)
 %%DATADIR%%/languages/English (US)
@@ -607,8 +632,8 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/languages/Hebrew
 %%DATADIR%%/languages/Italiano
 %%DATADIR%%/languages/Japanese
-%%DATADIR%%/languages/LICENSE
 %%DATADIR%%/languages/Latvian
+%%DATADIR%%/languages/LICENSE
 %%DATADIR%%/languages/Magyar
 %%DATADIR%%/languages/Nederlands
 %%DATADIR%%/languages/Norsk BM
@@ -623,72 +648,70 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/languages/Suomi
 %%DATADIR%%/languages/Swedish
 %%DATADIR%%/languages/Turkish
-%%DATADIR%%/languages/default
 %%DATADIR%%/options
-%%DATADIR%%/profiles/BW 1.pp3
-%%DATADIR%%/profiles/BW 2.pp3
-%%DATADIR%%/profiles/BW 3.pp3
-%%DATADIR%%/profiles/BW 4.pp3
-%%DATADIR%%/profiles/Deep Shadows.pp3
+%%DATADIR%%/profiles/BW/BW 1.pp3
+%%DATADIR%%/profiles/BW/BW 2.pp3
+%%DATADIR%%/profiles/BW/BW 3.pp3
+%%DATADIR%%/profiles/BW/BW 4.pp3
 %%DATADIR%%/profiles/Default ISO High.pp3
 %%DATADIR%%/profiles/Default ISO Medium.pp3
 %%DATADIR%%/profiles/Default.pp3
-%%DATADIR%%/profiles/Equilibrated.pp3
-%%DATADIR%%/profiles/Faded Amber 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Amber 1 TM.pp3
-%%DATADIR%%/profiles/Faded Amber 1.pp3
-%%DATADIR%%/profiles/Faded Blue 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Blue 1 TM.pp3
-%%DATADIR%%/profiles/Faded Blue 1.pp3
-%%DATADIR%%/profiles/Faded Blue Pink TM.pp3
-%%DATADIR%%/profiles/Faded Blue Pink.pp3
-%%DATADIR%%/profiles/Faded Chocolate 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Chocolate 2 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Golden 1.pp3
-%%DATADIR%%/profiles/Faded Golden 2.pp3
-%%DATADIR%%/profiles/Faded Green 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Green 1 TM.pp3
-%%DATADIR%%/profiles/Faded Green 1.pp3
-%%DATADIR%%/profiles/Faded Green 2.pp3
-%%DATADIR%%/profiles/Faded Green 3.pp3
-%%DATADIR%%/profiles/Faded Neutral TM.pp3
-%%DATADIR%%/profiles/Faded Neutral.pp3
-%%DATADIR%%/profiles/Faded Purple 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Purple 1 TM.pp3
-%%DATADIR%%/profiles/Faded Purple 1.pp3
-%%DATADIR%%/profiles/Faded Purple 2 TM.pp3
-%%DATADIR%%/profiles/Faded Purple 2.pp3
-%%DATADIR%%/profiles/Faded Teal Orange TM Bright.pp3
-%%DATADIR%%/profiles/Faded Teal Orange TM.pp3
-%%DATADIR%%/profiles/Faded Teal Orange.pp3
-%%DATADIR%%/profiles/Faded Warm 1 TM Bright.pp3
-%%DATADIR%%/profiles/Faded Warm 1 TM.pp3
-%%DATADIR%%/profiles/Faded Warm 1.pp3
-%%DATADIR%%/profiles/Faded Warm 2.pp3
-%%DATADIR%%/profiles/Faded Warm 3.pp3
-%%DATADIR%%/profiles/High-Key.pp3
-%%DATADIR%%/profiles/Natural 1.pp3
-%%DATADIR%%/profiles/Natural 2.pp3
-%%DATADIR%%/profiles/Neutral.pp3
-%%DATADIR%%/profiles/Pop 1.pp3
-%%DATADIR%%/profiles/Pop 2 L.pp3
-%%DATADIR%%/profiles/Pop 3 Skin.pp3
-%%DATADIR%%/profiles/Pop 4 BW.pp3
-%%DATADIR%%/profiles/Portrait Lejto.pp3
-%%DATADIR%%/profiles/Portrait Smooth.pp3
-%%DATADIR%%/profiles/Punchy 1.pp3
-%%DATADIR%%/profiles/Punchy 2.pp3
-%%DATADIR%%/profiles/Skintones - Natural TM.pp3
-%%DATADIR%%/profiles/Skintones - Natural.pp3
-%%DATADIR%%/profiles/Skintones - Pale TM Bright.pp3
-%%DATADIR%%/profiles/Skintones - Pale TM.pp3
-%%DATADIR%%/profiles/Skintones - Pale.pp3
-%%DATADIR%%/profiles/Skintones - Soft Texture.pp3
-%%DATADIR%%/profiles/Skintones - Strong Texture.pp3
-%%DATADIR%%/profiles/Skintones - Studio TM.pp3
-%%DATADIR%%/profiles/Skintones - Studio.pp3
-%%DATADIR%%/profiles/Skintones - StudioBase 1 TM.pp3
-%%DATADIR%%/profiles/Skintones - StudioBase 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Amber 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Amber 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Amber 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue Pink TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Blue Pink.pp3
+%%DATADIR%%/profiles/Faded/Faded Chocolate 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Chocolate 2 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Golden 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Golden 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Green 3.pp3
+%%DATADIR%%/profiles/Faded/Faded Neutral TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Neutral.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 2 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Purple 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Teal Orange TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Teal Orange TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Teal Orange.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 1 TM.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 1.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 2.pp3
+%%DATADIR%%/profiles/Faded/Faded Warm 3.pp3
+%%DATADIR%%/profiles/Generic/Deep Shadows.pp3
+%%DATADIR%%/profiles/Generic/Equilibrated.pp3
+%%DATADIR%%/profiles/Generic/High-Key.pp3
+%%DATADIR%%/profiles/Generic/Natural 1.pp3
+%%DATADIR%%/profiles/Generic/Natural 2.pp3
+%%DATADIR%%/profiles/Generic/Punchy 1.pp3
+%%DATADIR%%/profiles/Generic/Punchy 2.pp3
+%%DATADIR%%/profiles/Pop/Pop 1.pp3
+%%DATADIR%%/profiles/Pop/Pop 2 L.pp3
+%%DATADIR%%/profiles/Pop/Pop 3 Skin.pp3
+%%DATADIR%%/profiles/Pop/Pop 4 BW.pp3
+%%DATADIR%%/profiles/Portrait/Portrait Lejto.pp3
+%%DATADIR%%/profiles/Portrait/Portrait Smooth.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Natural TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Natural.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Pale TM Bright.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Pale TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Pale.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Soft Texture.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Strong Texture.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Studio TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - Studio.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - StudioBase 1 TM.pp3
+%%DATADIR%%/profiles/Skintones/Skintones - StudioBase 1.pp3
 %%DATADIR%%/sounds/BatchComplete.wav
 %%DATADIR%%/sounds/Empty.wav
 %%DATADIR%%/sounds/ProcessComplete.wav
@@ -749,6 +772,12 @@ share/icons/hicolor/48x48/apps/rawtherap
 @dirrm %%DATADIR%%/themes/gray_textured
 @dirrm %%DATADIR%%/themes
 @dirrm %%DATADIR%%/sounds
+@dirrm %%DATADIR%%/profiles/BW
+@dirrm %%DATADIR%%/profiles/Faded
+@dirrm %%DATADIR%%/profiles/Generic
+@dirrm %%DATADIR%%/profiles/Pop
+@dirrm %%DATADIR%%/profiles/Portrait
+@dirrm %%DATADIR%%/profiles/Skintones
 @dirrm %%DATADIR%%/profiles
 @dirrm %%DATADIR%%/languages
 @dirrm %%DATADIR%%/images/Light/places
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Christoph Moench-Tegeder freebsd_committer 2014-02-06 05:56:49 UTC
Hi,

> we're now building the new upgraded 4.0.12 port with GCC 4.8, please
> test if you now have OpenMP again on 10-RELEASE; at least the compile
> and link now succeed for me and rawtherapee successfully starts and
> decodes a Sony ARW 2.1 file for me; and we're rid of dumbing down the
> optimizer due to 10.0 clang bugs, as we used to do on one of the files.

Magnificient.
The port compiles and "generally works for me" on 10-RELEASE/amd64,
but at first glance methinks OpenMP is not working (only 100% CPU
on that 8 core machine, and "I've seen images being processed faster
than this on 9.2"). This might be a local issue (I did not have much
time for testing yesterday), I'll investigate that over the weekend
and get back to you.

> - a build dependency on libc++

That's the point I was missing when I tried this.

Thanks a lot,
Christoph

-- 
Spare Space
Comment 8 dfilter service freebsd_committer 2014-02-06 07:53:34 UTC
Author: mandree
Date: Thu Feb  6 07:53:27 2014
New Revision: 342947
URL: http://svnweb.freebsd.org/changeset/ports/342947
QAT: https://qat.redports.org/buildarchive/r342947/

Log:
  Re-enable OpenMP on clang-based systems (FreeBSD 10).
  
  This got broken by the way how the port detects that the system is
  clang-based in order to force libc++, and should be fixed now.
  
  PR:		ports/186240
  Reported by:	Christoph Moench-Tegeder

Modified:
  head/graphics/rawtherapee/Makefile

Modified: head/graphics/rawtherapee/Makefile
==============================================================================
--- head/graphics/rawtherapee/Makefile	Thu Feb  6 07:48:52 2014	(r342946)
+++ head/graphics/rawtherapee/Makefile	Thu Feb  6 07:53:27 2014	(r342947)
@@ -3,6 +3,7 @@
 
 PORTNAME=	rawtherapee
 PORTVERSION=	4.0.12
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	http://rawtherapee.com/shared/source/
 
@@ -77,13 +78,12 @@ CXXFLAGS+=	-O3 -ffast-math \
 .endif
 .endif
 
-_OpenMP_args=	-DOPTION_OMP:BOOL=OFF
-.if ${PORT_OPTIONS:MOPENMP} && ${COMPILER_TYPE} == gcc
-_OpenMP_args=	-DOPTION_OMP:BOOL=ON
+.if ${PORT_OPTIONS:MOPENMP}
+CMAKE_ARGS+=	-DOPTION_OMP:BOOL=ON
+.else
+CMAKE_ARGS+=	-DOPTION_OMP:BOOL=OFF
 .endif
 
-CMAKE_ARGS+=	${_OpenMP_args}
-
 # -------------------------------------------------------------------
 
 post-patch:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Matthias Andree freebsd_committer 2014-02-06 07:59:50 UTC
Am 06.02.2014 06:56, schrieb Christoph Moench-Tegeder:
> Hi,
> 
>> we're now building the new upgraded 4.0.12 port with GCC 4.8, please
>> test if you now have OpenMP again on 10-RELEASE; at least the compile
>> and link now succeed for me and rawtherapee successfully starts and
>> decodes a Sony ARW 2.1 file for me; and we're rid of dumbing down the
>> optimizer due to 10.0 clang bugs, as we used to do on one of the files.
> 
> Magnificient.
> The port compiles and "generally works for me" on 10-RELEASE/amd64,
> but at first glance methinks OpenMP is not working (only 100% CPU
> on that 8 core machine, and "I've seen images being processed faster
> than this on 9.2"). This might be a local issue (I did not have much
> time for testing yesterday), I'll investigate that over the weekend
> and get back to you.

Hi Christoph,

thanks for the report.  I checked, and it is not a local problem; I can
reproduce it.  I overlooked the need to revise OpenMP enabling again --
because I force GCC, I can force the option to desired state regardless
of the base compiler; as a consequence, on clang-based systems the
4.0.12 port always passed a disable-OMP option to cmake.  4.0.12_1 (SVN
r342947) fixes this.

dfilter should also be adding the patch to the PR shortly if you need it
before the portsnap rigging picks up and ships the revised port.

>> - a build dependency on libc++
> 
> That's the point I was missing when I tried this.

And it was non-trivial getting GCC to prefer libc++ over libstdc++, I
think it took more than half a dozen test builds to get it right across
all systems.  Without bapt's insisting that and how it should work, I'd
probably still be using clang and the occasional -O1 flag for this port.

Hope that OpenMP works in 10+ now.

Cheers, and happy multiprocessing,
Matthias
Comment 10 Christoph Moench-Tegeder freebsd_committer 2014-02-06 20:34:16 UTC
Hi,

> thanks for the report.  I checked, and it is not a local problem; I can
> reproduce it.  I overlooked the need to revise OpenMP enabling again --
> because I force GCC, I can force the option to desired state regardless
> of the base compiler; as a consequence, on clang-based systems the
> 4.0.12 port always passed a disable-OMP option to cmake.  4.0.12_1 (SVN
> r342947) fixes this.

Confirmed.
Thanks, this makes image processing much easier.

Regards,
Christoph

-- 
Spare Space
Comment 11 Matthias Andree freebsd_committer 2014-02-11 09:01:36 UTC
JFTR, on some 10.x and 11.x systems, under circumstances not yet fully
understood, rawtherapee crashes right on start due to unhandled
exceptions thrown back from glibmm.

The fix appears to be recompiling glib20 whilst requesting iconv's
wchar_t extension.

I. e. if your glib is still 2.36.3_1 (rather than _2 or newer), you also
need the glib20 patch from
<http://people.freebsd.org/~kwm/glib-iconv-hell.diff> (to be committed
soonish, after testing), and you must rebuild/reinstall glib20 before
rawtherapee becomes usable.

Recompiling rawtherapee after upgrading glib20 should not be required.